VirtualBox

Ticket #19904 (closed defect: invalid)

Opened 7 months ago

Last modified 7 months ago

v6.1.14 fails to open for os/2 guest

Reported by: jimoe Owned by:
Component: other Version: VirtualBox 6.1.14
Keywords: Cc:
Guest type: other Host type: Linux

Description

opensuse tumbleweed 20200917

Vbox failed to restore an os/2 4.52 instance after a repo update of Virtualbox from an interim version 6.1.13 (or 6.1.97). The error is shown below. The Display settings are disabled for the guest.

Windows guests start normally.

Unsupported version 22 of data unit 'vga' (instance #0, pass 0xffffffff) (VERR_SSM_UNSUPPORTED_DATA_UNIT_VERSION).

I did try to install the 6.1.14 distribution from the Vbox site. It had a dependency failure: "libvpx.so.4()(64bit)". Libvpx6 is installed on this host; adding the devel package made no difference.

Attachments

VBox.log Download (275.4 KB) - added by jimoe 7 months ago.
Log file for failed start

Change History

Changed 7 months ago by jimoe

Log file for failed start

comment:1 Changed 7 months ago by aeichner

  • Status changed from new to closed
  • Resolution set to invalid

You tried to load a saved state from a development version with an older version of VirtualBox which is not supported of course. Looks like you used 6.1.97 where we introduced some changes to the VGA saved state and tried to load it with 6.1.14. Dismissing the saved state and starting the VM normally should get rid of it.

comment:2 Changed 7 months ago by jimoe

Yes, that was the problem.

Thank you.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use